# $Id$
# Authority: shuff
# Upstream: John Beppu <beppu$cpan,org>

# Plack is rfx on el6 and el5
%{?el6:# Tag: rfx}
%{?el5:# Tag: rfx}

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Squatting-On-PSGI

Summary: Run Squatting apps on PSGI
Name: perl-Squatting-On-PSGI
Version: 0.06
Release: 2%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Squatting-On-PSGI/

Packager: Steve Huff <shuff@vecna.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/B/BE/BEPPU/Squatting-On-PSGI-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl >= 5.8.1
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Squatting) >= 0.81
BuildRequires: perl(Test::More)
BuildRequires: rpm-macros-rpmforge
Requires: perl >= 5.8.1
Requires: perl(Filter::Util::Call)
Requires: perl(Plack::Request)
Requires: perl(Squatting) >= 0.81

### remove autoreq Perl dependencies
%filter_from_requires /^perl.*/d
%filter_setup

%description
Squatting::On::PSGI is an adapter to run Squatting apps on PSGI
implementations.

%prep
%setup -n %{real_name}-%{version}

# fix problem with modules generated by older versions of Dist::Zilla
#%{?el5:%{__perl} -pi -e '/.*ExtUtils::MakeMaker.*6\.31.*/ && s/6\.3\d/6.30/' Makefile.PL}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install
#%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

# fix for stupid strip issue
#%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes META.yml README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Squatting/On/PSGI.pm
#%{perl_vendorlib}/Squatting/On/PSGI/*
#%exclude %{perl_archlib}/perllocal.pod
%exclude %{perl_vendorarch}/auto/*/*/*/.packlist

%changelog
* Thu Sep 01 2011 Steve Huff <shuff@vecna.org> - 0.06-2
- RFX on el6 and el5

* Tue Aug 30 2011 Steve Huff <shuff@vecna.org> - 0.06-1
- Initial package.
